Bug 47745 - Better defaults of bullet point lists (spacing and indention)
Summary: Better defaults of bullet point lists (spacing and indention)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.5.1 release
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Impress-Bullet-Number
  Show dependency treegraph
 
Reported: 2012-03-23 00:30 UTC by gleppert
Modified: 2017-09-04 06:31 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description gleppert 2012-03-23 00:30:16 UTC
Please improve the default settings (spacing and indention) of bullet point lists in LibreOffice Impress.  

In OpenOffice there was an effort to improve the default settings of Impress and this one will come now to OpenOffice 3.4. Please have a look here:

http://wiki.services.openoffice.org/wiki/BetterDefaults_BulletsColorsShortcuts_workout

I assume that this is an easy bug?
Comment 1 Michael Meeks 2012-05-01 01:32:33 UTC
Will try to look into this for 3.6.
Comment 2 gleppert 2012-05-01 02:41:11 UTC
After having heard from Michael that better defaults for bullet point lists should be already in Libreoffice, I checked a bit further when the ugly old defaults of bullet point lists still occurs:

* Create a new presentation
* Click into the main text field where it says "Click to add text" and write some few lines of text
* Click on icon "Align left"
* Click on icon "Bullets on"
* Result: The new defaults of bullet point lists are not used. The resulting bullet point list is still the ugly old one without identation etc.

However, I figured out that the correct new defaults of bullet point lists are used if you create a text field and enable "bullets on". Also if you choose a different layout that already uses bullet points, there it also works.

It seems to me that the better defaults for bullet points were simply forgotten to be added to the default layout. However, I assume that must users create a slideshow on basis of the default layout (and don't use the other slide layouts).

Can the new bullet point default setting also be added to the text area of the default layout? Thanks a lot!
Comment 3 gleppert 2012-06-03 05:55:19 UTC
@Michael: Are better defaults for identation of bullet points in the default layout still planned for 3.6 or did other things move it to a later release?

P.S. Typo in my previous comment "must users" -> "most users".
Comment 4 Munzir Taha 2014-03-31 20:04:54 UTC
Format -> Bullets and numbering -> Numbering type
A)
B)
C)
gives even worse result. The space is 0. I tried to change the master slide manually but this didn't fix the already available numbering!
Comment 5 Munzir Taha 2014-03-31 20:17:49 UTC
I don't know why you choose to set the space to leave between the left edge of the numbering symbol and the left edge of the text. This would yield inconsistent results. It's much better IMHO to only set the space after the bullet/number
Comment 6 Owen Genat (retired) 2014-07-18 11:17:51 UTC
(In reply to comment #4)
> Format -> Bullets and numbering -> Numbering type

The original report (and Apache OO wiki page) only mention "bullet" (i.e., unordered) list points. This does indeed appear to have been fixed. There is however still a problem with ordered lists. Bug 73404 has reported the issue with there being little or no space between the identifier and the item text for ordered list items.
Comment 7 Gerry 2017-09-04 06:31:58 UTC
This bug on "Better defaults of bullet point lists (spacing and indention)" seems to be fixed (LibreOffice 5.4.1). Could you please test this bug, too, and close it as WORKSFORME.

It is astonishing, though, that related bug 73404 does not seem to be fixed. Please also have a look at that bug, because it seems to be a very easy bug.

But 73404 refers to spacing and identation of ordered lists:
Format -> Bullets and numbering -> Numbering type
A)
B)
C)